Skip to main content
`Ctrl`+`K`

# DMCreateSuperDM

Returns an arrays of `IS` and `DM` encapsulating a superproblem defined by multiple `DM`s passed in.

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCreateSuperDM(DM dms[], PetscInt n, IS *is[], DM *superdm)

Not collective

## Input Parameters

- dms - The `DM` objects

- n - The number of `DM`s

## Output Parameters

- is - The global indices for each of subproblem within the super `DM`, or NULL

- superdm - The `DM` for the superproblem

## Note

You need to call `DMPlexSetMigrationSF()` on the original `DM` if you want the Global-To-Natural map to be automatically constructed

## See Also

DM Basics, `DM`, `DMCreateSubDM()`, `DMPlexSetMigrationSF()`, `DMDestroy()`, `DMView()`, `DMCreateInterpolation()`, `DMCreateColoring()`, `DMCreateMatrix()`, `DMCreateMassMatrix()`, `DMCreateFieldIS()`, `DMCreateDomainDecomposition()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/snes/tutorials/ex13.c

## Implementations

DMCreateSuperDM_Plex() in src/dm/impls/plex/plex.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages